org.eclipse.eef.properties.ui.legacy.internal.extension.impl

## Class LegacyPropertySectionsRegistryEventListener

- java.lang.Object
- - org.eclipse.eef.properties.ui.legacy.internal.extension.AbstractRegistryEventListener
  - - org.eclipse.eef.properties.ui.legacy.internal.extension.impl.LegacyPropertySectionsRegistryEventListener

All Implemented Interfaces:
  java.util.EventListener, org.eclipse.core.runtime.IRegistryEventListener

    public class LegacyPropertySectionsRegistryEventListener
    extends AbstractRegistryEventListener

Utility class used to retrieved the descriptors of property sections extension.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.eef.properties.ui.legacy.internal.extension.AbstractRegistryEventListener

`AbstractRegistryEventListener.Action`

### Field Summary

Fields
`static java.lang.String` `AFTER_SECTION_ATTR` Optional afterSection attribute of extension point.
`static java.lang.String` `ATT_INPUT_TYPE` Optional type attribute of extension point.
`static java.lang.String` `CLASS_ATTR` Required class attribute of extension point.
`static java.lang.String` `CONTRIBUTOR_ID_ATTR` Id attribute of extension point.
`static java.lang.String` `ELEMENT_INPUT` Optional input child of extension point.
`static java.lang.String` `ENABLES_FOR_ATTR` Optional enablesFor attribute of extension point.
`static java.lang.String` `FILTER_ATTR` Optional filter attribute of extension point.
`static java.lang.String` `ID_ATTR` Required id attribute of extension point.
`static java.lang.String` `TAB_ATTR` Required tab attribute of extension point.
`static java.lang.String` `TAG_PROPERTY_SECTION` PropertyTab tag of extension point.
`static java.lang.String` `TAG_PROPERTY_SECTIONS` PropertyTab tag of extension point.

### Constructor Summary

Constructors
Constructor and Description
`LegacyPropertySectionsRegistryEventListener(java.lang.String namespace, java.lang.String extensionPointID, LegacyPropertySectionRegistry itemRegistry)` The constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected boolean` `processAddition(org.eclipse.core.runtime.IConfigurationElement configurationElement)` Processes the addition of the given configuration element.
`protected boolean` `processRemoval(org.eclipse.core.runtime.IConfigurationElement configurationElement)` Processes the removal of the given configuration element.
`protected boolean` `validateConfigurationElement(org.eclipse.core.runtime.IConfigurationElement configurationElement)` Validates the given configuration element.

### Methods inherited from class org.eclipse.eef.properties.ui.legacy.internal.extension.AbstractRegistryEventListener

`added, added, readRegistry, removed, removed`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TAG_PROPERTY_SECTIONS

    public static final java.lang.String TAG_PROPERTY_SECTIONS

PropertyTab tag of extension point.

See Also:
  Constant Field Values

#### CONTRIBUTOR_ID_ATTR

    public static final java.lang.String CONTRIBUTOR_ID_ATTR

Id attribute of extension point.

See Also:
  Constant Field Values

#### TAG_PROPERTY_SECTION

    public static final java.lang.String TAG_PROPERTY_SECTION

PropertyTab tag of extension point.

See Also:
  Constant Field Values

#### TAB_ATTR

    public static final java.lang.String TAB_ATTR

Required tab attribute of extension point.

See Also:
  Constant Field Values

#### ID_ATTR

    public static final java.lang.String ID_ATTR

Required id attribute of extension point.

See Also:
  Constant Field Values

#### CLASS_ATTR

    public static final java.lang.String CLASS_ATTR

Required class attribute of extension point.

See Also:
  Constant Field Values

#### AFTER_SECTION_ATTR

    public static final java.lang.String AFTER_SECTION_ATTR

Optional afterSection attribute of extension point.

See Also:
  Constant Field Values

#### ENABLES_FOR_ATTR

    public static final java.lang.String ENABLES_FOR_ATTR

Optional enablesFor attribute of extension point.

See Also:
  Constant Field Values

#### FILTER_ATTR

    public static final java.lang.String FILTER_ATTR

Optional filter attribute of extension point.

See Also:
  Constant Field Values

#### ELEMENT_INPUT

    public static final java.lang.String ELEMENT_INPUT

Optional input child of extension point.

See Also:
  Constant Field Values

#### ATT_INPUT_TYPE

    public static final java.lang.String ATT_INPUT_TYPE

Optional type attribute of extension point.

See Also:
  Constant Field Values

### Constructor Detail

#### LegacyPropertySectionsRegistryEventListener

    public LegacyPropertySectionsRegistryEventListener(java.lang.String namespace,
                                                       java.lang.String extensionPointID,
                                                       LegacyPropertySectionRegistry itemRegistry)

The constructor.

Parameters:
  `namespace` - The namespace of the extension point
  `extensionPointID` - The identifier of the extension point
  `itemRegistry` - The ItemRegistry

### Method Detail

#### validateConfigurationElement

    protected boolean validateConfigurationElement(org.eclipse.core.runtime.IConfigurationElement configurationElement)

Validates the given configuration element.

Specified by:
  `validateConfigurationElement` in class `AbstractRegistryEventListener`
Parameters:
  `configurationElement` - The configuration element
Returns:
  `true` if the configuration element is valid, `false` otherwise
See Also:
  `org.eclipse.eef.ide.internal.extensions.AbstractRegistryEventListener#validateConfigurationElement(org.eclipse.core.runtime.IConfigurationElement)`

#### processAddition

    protected boolean processAddition(org.eclipse.core.runtime.IConfigurationElement configurationElement)

Processes the addition of the given configuration element.

Specified by:
  `processAddition` in class `AbstractRegistryEventListener`
Parameters:
  `configurationElement` - The configuration element
Returns:
  `true` if the configuration element has been properly added, `false` otherwise
See Also:
  `org.eclipse.eef.ide.internal.extensions.AbstractRegistryEventListener#processAddition(org.eclipse.core.runtime.IConfigurationElement)`

#### processRemoval

    protected boolean processRemoval(org.eclipse.core.runtime.IConfigurationElement configurationElement)

Processes the removal of the given configuration element.

Specified by:
  `processRemoval` in class `AbstractRegistryEventListener`
Parameters:
  `configurationElement` - The configuration element
Returns:
  `true` if the configuration element has been properly removed, `false` otherwise
See Also:
  `org.eclipse.eef.ide.internal.extensions.AbstractRegistryEventListener#processRemoval(org.eclipse.core.runtime.IConfigurationElement)`